---
title: "BooleanInput"
generated: true
---
<GenerationInfo sourceFile="packages/dashboard/src/lib/components/data-input/boolean-input.tsx" sourceLine="12" packageName="@vendure/dashboard" />

Displays a boolean value as a switch toggle.

```ts title="Signature"
function BooleanInput(props: Readonly<DashboardFormComponentProps>): void
```
Parameters

### props

<MemberInfo kind="parameter" type={``Readonly<`<a href='/reference/dashboard/extensions-api/form-components#dashboardformcomponentprops'>DashboardFormComponentProps</a>`>``} />

